require "bundler/gem_tasks"

@run_options = {verbose: Rake.application.options.trace}

task :default => [:ruby_dependencies, :test, :git]
task :test => [:unit]

task :ruby_dependencies do
	sh 'bundle install --path gems'
end

task :unit do
	Dir.glob('./test/*.rb').each do |test|
		rake_sh 'ruby '+ test
	end
end

task :git => :ruby_dependencies do 
	require 'bundler/setup'
	require 'git_repository'
	
	message = ENV['m']
	raise 'no commit message specified' if message.nil?
	git = GitRepository.new
	git.pull
	git.add({:options => '-A'})
	git.commit(message: message )
	git.push
end

def rake_sh(command)
	sh command, @run_options
end

task :publish do
	rake_sh('rm -rf pkg')
	rake_sh('rake install')
	puts "gem push ./pkg/*.gem"
end