require 'test/unit'
require_relative '../lib/allegro_api_client'

class APIClientTests < Test::Unit::TestCase
  def test_environment_variables
    assert_not_nil ENV['API_URI'], "You need to set the API_URI environment variable"
    assert_not_nil ENV['AUTH_TOKEN'], "You need to set the AUTH_TOKEN environment variable"
  end

  def test_get
    ENV['API_URI'] = 'https://bob.com'
    api_client = APIClient.new http_client:self
    api_client.get(path:'/bob face')
    assert_equal('https://bob.com/bob%20face',@path)
  end

  def get(path, options)
  	@path = path
  	return self
  end

  def body
  	{}.to_json
  end
end